# Uses of Interface
org.eclipse.emf.spi.cdo.InternalCDOTransaction

Packages that use InternalCDOTransaction
Package
Description
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of InternalCDOTransaction in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return InternalCDOTransaction
Modifier and Type
Method
Description
`InternalCDOTransaction`
InternalCDOSession.InvalidationData.`getSender()`
`InternalCDOTransaction`
InternalCDOSavepoint.`getTransaction()`
`InternalCDOTransaction`
InternalCDOTransaction.InternalCDOCommitContext.`getTransaction()`
`InternalCDOTransaction`
InternalCDOView.`toTransaction()`
Methods in org.eclipse.emf.spi.cdo that return types with arguments of type InternalCDOTransaction
Modifier and Type
Method
Description
`Map<org.eclipse.emf.cdo.internal.common.id.CDOIDTempObjectExternalImpl,InternalCDOTransaction>`
InternalCDOXATransaction.InternalCDOXACommitContext.`getRequestedIDs()`
Methods in org.eclipse.emf.spi.cdo with parameters of type InternalCDOTransaction
Modifier and Type
Method
Description
`void`
InternalCDOXATransaction.`add(InternalCDOTransaction transaction)`
`void`
InternalCDOXATransaction.`add(InternalCDOTransaction transaction, CDOID object)`
`CDOCommitInfo`
CDOTransactionStrategy.`commit(InternalCDOTransaction transaction, IProgressMonitor progressMonitor)`
TODO Better use an `OMMonitor`?
`void`
InternalCDOSession.`invalidate(CDOCommitInfo commitInfo, InternalCDOTransaction sender)`
Deprecated.
As of 4.2 use `InternalCDOSession.invalidate(CDOCommitInfo, InternalCDOTransaction, boolean)`.
`void`
InternalCDOSession.`invalidate(CDOCommitInfo commitInfo, InternalCDOTransaction sender, boolean clearResourcePathCache)`
Deprecated.
As of 4.3 use `InternalCDOSession.invalidate(CDOCommitInfo, InternalCDOTransaction, boolean, byte, Map)`.
`void`
InternalCDOSession.`invalidate(CDOCommitInfo commitInfo, InternalCDOTransaction sender, boolean clearResourcePathCache, byte securityImpact, Map<CDOID,CDOPermission> newPermissions)`
Deprecated.
As of 4.6 use `InternalCDOSession.invalidate(InvalidationData)`.
`void`
InternalCDOXATransaction.`remove(InternalCDOTransaction transaction)`
`void`
CDOTransactionStrategy.`rollback(InternalCDOTransaction transaction, InternalCDOUserSavepoint savepoint)`
`InternalCDOUserSavepoint`
CDOTransactionStrategy.`setSavepoint(InternalCDOTransaction transaction)`
`void`
InternalCDOSession.InvalidationData.`setSender(InternalCDOTransaction sender)`
`void`
CDOTransactionStrategy.`setTarget(InternalCDOTransaction transaction)`
`void`
CDOTransactionStrategy.`unsetTarget(InternalCDOTransaction transaction)`